package com.gic.haoban.manage.service.pojo.qo.content;

import com.gic.api.base.commons.BasePageInfo;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Author MUSI
 * @Date 2023/3/29 12:33 PM
 * @Description
 * @Version
 **/
@Data
public class InteractRecordQO extends BasePageInfo {

    private String enterpriseId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 会员id
     */
    private String memberId;

    /**
     *
     */
    private String unionId;

    /**
     * 开始时间-创建时间
     */
    private Date startTime;

    /**
     * 结束时间-创建时间
     */
    private Date endTime;

    /**
     * 业务id
     */
    private String bizId;

    /**
     * 是否过滤空数据
     */
    private Integer filterNull;

    /**
     * 排序字段
     */
    private String orderBy;

    /**
     * 线索来源
     * @see com.gic.haoban.manage.api.enums.content.InteractRecordChannelSourceType
     */
    private List<Integer> channelSourceList;

    /**
     * 业务类型 1 素材 2 商品 3 多商品页
     * @see com.gic.haoban.manage.api.enums.content.ShareBizType
     */
    private List<Integer> bizTypeList;

    /**
     * 事件类型
     */
    private List<Integer> eventTypeList;

}
