package com.gic.haoban.manage.web.qo.potential;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.haoban.common.utils.DateUtil;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.time.DateUtils;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class PotentialStatisticsBaseQO extends BasePageInfo {

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 导购搜索
     */
    private String clerkQuery;

    /**
     * 门店搜索
     */
    private String storeQuery;

    /**
     * 门店id列表
     */
    private List<String> storeIdList;

    /**
     * 门店过滤
     */
    private Integer storeStatusFilter;

    /**
     * 开始时间
     */
    private String startDate;

    /**
     * 结束时间
     */
    private String endDate;

    /**
     * 排序字段
     */
    private String orderByField;

    /**
     * asc
     * desc
     */
    private String order;

    public Map<String, Integer> getFieldsOrder() {
        Map<String, Integer> map = new HashMap<>();
        return map;
    }

    public String getDefaultFields() {
        return "";
    }
}
